<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:g="http://www.ihe.net/gazelle">
    <s:div id="configSelectionGrid"
           styleClass="row">
        <div class="col-md-4">
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.HL7Common.Simulator']}</ui:define>
                <dl>
                    <s:decorate id="manualNameDecorationV3#{suffixId}"
                                template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.Name']}</ui:define>
                        <h:outputText
                                value="#{messages['gazelle.simulator.pam.SimulatorConfiguration']}"/>
                    </s:decorate>
                    <s:decorate id="manualRecAppDecorationV3#{suffixId}"
                                template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.pam.SenderDeviceIdrootOID']}</ui:define>
                        <h:outputText value="#{senderDeviceId}"/>
                    </s:decorate>
                    <s:decorate id="manualRecFacDecorationV3#{suffixId}"
                                template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.PatientManager.OrganizationOID']}
                        </ui:define>
                        <h:outputText value="#{organizationOid}"/>
                    </s:decorate>
                </dl>
            </ui:decorate>
        </div>
        <div class="col-md-4">
            <h:graphicImage library="img" name="#{sequenceDiagram}"/>
        </div>
        <div class="col-md-4">
            <s:decorate template="/layout/panels/_panel_title.xhtml" rendered="#{selectedSUT != null}">
                <ui:define name="panel_title">#{messages['net.ihe.gazelle.PatientManager.SystemUnderTestSUT']})
                </ui:define>
                <dl>
                    <s:decorate id="manualNameDecoration2V3#{suffixId}"
                                template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.Name']}</ui:define>
                        <h:outputText value="#{selectedSUT.name}"/>
                    </s:decorate>
                    <s:decorate id="manualIPDecoration2V3#{suffixId}"
                                template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.URL']}</ui:define>
                        <h:outputText id="url" value="#{selectedSUT.url}"/>
                    </s:decorate>
                    <s:decorate id="manualPortDecoration2V3#{suffixId}"
                                template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.pam.ReceiverDeviceIdrootOID']}</ui:define>
                        <h:outputText value="#{selectedSUT.deviceOID}"/>
                    </s:decorate>
                    <s:decorate id="manualRecAppDecoration2V3#{suffixId}"
                                template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.PatientManager.OrganizationOID']}
                        </ui:define>
                        <h:outputText value="#{selectedSUT.organizationOID}"/>
                    </s:decorate>
                </dl>
                <ui:insert name="moreDetails"/>
            </s:decorate>
        </div>
    </s:div>
    <!-- system under test selection/display-->
    <div class="form-horizontal">
        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">#{messages['gazelle.simulator.pam.SystemUnderTest']}</ui:define>
            <ui:define name="id" value="sutSelectionV3"/>
            <h:selectOneMenu value="#{selectedSUT}" id="sutSelectionV3"
                             styleClass="form-control gzl-select-text">
                <s:selectItems value="#{availableSystems}" var="conf"
                               noSelectionLabel="#{messages['gazelle.simulator.PleaseSelect']}"
                               label="#{conf.name}"/>
                <a4j:ajax event="change" render="configSelectionGrid"
                          for="sutSelection"/>
            </h:selectOneMenu>
        </s:decorate>
    </div>
</ui:composition>